import 'package:flutter/cupertino.dart';

class MapState extends ChangeNotifier {
  bool _isLocationLock = false;
  bool _isCurrentlyFetchin = true;

  bool get followLocation => _isLocationLock;
  bool get isCurrentlyFetching => _isCurrentlyFetchin;

  toggleLocationLock() {
    _isLocationLock = !_isLocationLock;
    notifyListeners();
  }

  set setNetworkActivity(bool active) {
    _isCurrentlyFetchin = active;
    notifyListeners();
  }
}